%define		status		alpha
%define		pearname	Text_LanguageDetect
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - language detection class
Summary(pl.UTF-8):	%{pearname} - klasa do określania języka
Name:		php-pear-%{pearname}
Version:	0.3.0
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	efa27a43517533d653d4bc7074b15f18
URL:		http://pear.php.net/package/Text_LanguageDetect/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.0.3
Requires:	php(pcre)
Requires:	php-pear
Suggests:	php-mbstring
Obsoletes:	php-pear-Text_LanguageDetect-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text_LanguageDetect can identify 52 human languages from text samples
and return confidence scores for each.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Text_LanguageDetect potrafi zidentyfikować 52 ludzkie języki z próbek
tekstu i zwrócić listę najbardziej prawdopodobnych rezultatów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/tests/%{pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{pearname}/tests

install -d examples
mv docs/%{pearname}/docs/example_* examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/LanguageDetect.php
%dir %{php_pear_dir}/Text/LanguageDetect
%{php_pear_dir}/Text/LanguageDetect/Exception.php
%{php_pear_dir}/Text/LanguageDetect/ISO639.php
%{php_pear_dir}/Text/LanguageDetect/Parser.php
%{php_pear_dir}/data/Text_LanguageDetect
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Text_LanguageDetect.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> ca6b7c4
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> faf8fc2
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 63367f6
- up to 0.3.0

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 16d411f
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a6621d9
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 935d0e2
- updated deps with pearize.sh
- release 3

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 0ce9781
- package examples, suggests mbstring ext

* Tue Aug 05 2008 Adam Gołębiowski <adamg@pld-linux.org> 624602a
- updated to 0.2.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 8aa4328
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 912a0d9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 58b4c4b
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> c969984
- obsolete

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> d726866
- updated to 0.2.1

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> dcd5c43
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 346e061
- AutoProv: no for -tests

* Sun Apr 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 5bfbe03
- unified (clean before post)

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> f5f6634
- 0.2.0

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> b5d6643
- fix included file path

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 0854bbf
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 4502d6d
- group Development/Languages/PHP for -tests

